/*
 * Minimize.h
 *
 */

#ifndef MINIMIZE_H_
#define MINIMIZE_H_

// Include
#include <opencv2/core/core.hpp>
#include <opencv2/features2d/features2d.hpp>
using namespace cv;

// Typedef
typedef vector<pair<Mat, Mat> > MatchGraph;

// Functions definitions
void optimizeFocalLength(vector<Mat> & homography, vector<double> & angle, double & focal);
void optimizeReprojection(MatchGraph & graph, vector<double> & angle, Vec3d & axis, double & focal);

void setMaxIter(int iterMax);
void setThreshold(double threshold);

#endif /* MINIMIZE_H_ */
